summaryrefslogtreecommitdiffstats
path: root/bin/hornet/vscreen
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-02-25 23:51:01 -0500
committerJesse Luehrs <doy@tozt.net>2021-02-26 01:52:00 -0500
commit5d5405115ee1059a205d25ff972e12256d09a1b5 (patch)
tree387e4f45de7f4bcba093a0cb6a597d640224210d /bin/hornet/vscreen
parent449036cf4077218264b8235d0e9cd475f3fa20f3 (diff)
downloadconf-5d5405115ee1059a205d25ff972e12256d09a1b5.tar.gz
conf-5d5405115ee1059a205d25ff972e12256d09a1b5.zip
reconfigure various things for hornet
Diffstat (limited to 'bin/hornet/vscreen')
-rwxr-xr-xbin/hornet/vscreen17
1 files changed, 17 insertions, 0 deletions
diff --git a/bin/hornet/vscreen b/bin/hornet/vscreen
new file mode 100755
index 0000000..d39b389
--- /dev/null
+++ b/bin/hornet/vscreen
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+
+case "$1" in
+ goto)
+ xrandr --addmode VIRTUAL1 1920x1080
+ xrandr --output VIRTUAL1 --auto --output eDP1 --auto --left-of VIRTUAL1
+ i3-switch-workspace virtual
+ ;;
+ off)
+ xrandr --output VIRTUAL1 --off
+ ;;
+ *)
+ echo "bad subcommand $1" >&2
+ exit 1
+ ;;
+esac